Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Interface DocumentReader

All Known Implementing Classes:
  AbstractDocumentReader, NewickReader, NexusReader, PhyloXMLReader, TextStreamReader, TGFReader, XTGReader

    public interface DocumentReader

Classes that are able to read tree documents should implement this interface.

Author:
  Ben Stöver

Method Summary
`Document` | `read(File file, LoadLogger loadLogger)`
`Document` | `read(File file, LoadLogger loadLogger, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter)`
`Document` | `read(File file, LoadLogger loadLogger, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternalNodes)`
`Document` | `read(InputStream stream, LoadLogger loadLogger)`
`Document` | `read(InputStream stream, LoadLogger loadLogger, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter)`
`Document` | `read(InputStream stream, LoadLogger loadLogger, NodeBranchDataAdapter internalAdapter, NodeBranchDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternalNodes)`

Method Detail

### read

    Document read(InputStream stream,
                  LoadLogger loadLogger)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(File file,
                  LoadLogger loadLogger)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(InputStream stream,
                  LoadLogger loadLogger,
                  NodeBranchDataAdapter internalAdapter,
                  NodeBranchDataAdapter branchLengthsAdapter)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(File file,
                  LoadLogger loadLogger,
                  NodeBranchDataAdapter internalAdapter,
                  NodeBranchDataAdapter branchLengthsAdapter)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(InputStream stream,
                  LoadLogger loadLogger,
                  NodeBranchDataAdapter internalAdapter,
                  NodeBranchDataAdapter branchLengthsAdapter,
                  TreeSelector selector,
                  boolean translateInternalNodes)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(File file,
                  LoadLogger loadLogger,
                  NodeBranchDataAdapter internalAdapter,
                  NodeBranchDataAdapter branchLengthsAdapter,
                  TreeSelector selector,
                  boolean translateInternalNodes)
                  throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD